#include "ui_dsn.hpp"
#pragma hdrstop

void z_jump_dummy(void) { }   //Bug fix for Zortech & Microsoft linkers.

extern EVENT_TYPE HelpFunction(UI_WINDOW_OBJECT *, UI_EVENT &, EVENT_TYPE);
extern EVENT_TYPE ResourceNameFunction(UI_WINDOW_OBJECT *, UI_EVENT &, EVENT_TYPE);
extern EVENT_TYPE FileNameFunction(UI_WINDOW_OBJECT *, UI_EVENT &, EVENT_TYPE);
extern EVENT_TYPE TypeSelect(UI_WINDOW_OBJECT *, UI_EVENT &, EVENT_TYPE);
extern EVENT_TYPE ImageNameFunction(UI_WINDOW_OBJECT *, UI_EVENT &, EVENT_TYPE);
extern EVENT_TYPE ContextNameFunction(UI_WINDOW_OBJECT *, UI_EVENT &, EVENT_TYPE);
extern EVENT_TYPE HelpIndexFunction(UI_WINDOW_OBJECT *, UI_EVENT &, EVENT_TYPE);

static UI_ITEM _userTable[] =
{
	{ 0, HelpFunction, "HelpFunction", 0 },
	{ 0, ResourceNameFunction, "ResourceNameFunction", 0 },
	{ 0, FileNameFunction, "FileNameFunction", 0 },
	{ 0, TypeSelect, "TypeSelect", 0 },
	{ 0, ImageNameFunction, "ImageNameFunction", 0 },
	{ 0, ContextNameFunction, "ContextNameFunction", 0 },
	{ 0, HelpIndexFunction, "HelpIndexFunction", 0 },
	{ ID_END, NULL, NULL, 0 }
};
UI_ITEM *UI_WINDOW_OBJECT::userTable = _userTable;

static UI_ITEM _objectTable[] =
{
	{ ID_BIGNUM, &UIW_BIGNUM::New, "BIGNUM", 0 },
	{ ID_BORDER, &UIW_BORDER::New, "BORDER", 0 },
	{ ID_BUTTON, &UIW_BUTTON::New, "BUTTON", 0 },
	{ ID_COMBO_BOX, &UIW_COMBO_BOX::New, "COMBO_BOX", 0 },
	{ ID_DATE, &UIW_DATE::New, "DATE", 0 },
	{ ID_FORMATTED_STRING, &UIW_FORMATTED_STRING::New, "FORMATTED_STRING", 0 },
	{ ID_GROUP, &UIW_GROUP::New, "GROUP", 0 },
	{ ID_HELP_BAR, &HELP_BAR::New, "HELP_BAR", 0 },
	{ ID_HZ_LIST, &UIW_HZ_LIST::New, "HZ_LIST", 0 },
	{ ID_ICON, &UIW_ICON::New, "ICON", 0 },
	{ ID_INTEGER, &UIW_INTEGER::New, "INTEGER", 0 },
	{ ID_MAXIMIZE_BUTTON, &UIW_MAXIMIZE_BUTTON::New, "MAXIMIZE_BUTTON", 0 },
	{ ID_MINIMIZE_BUTTON, &UIW_MINIMIZE_BUTTON::New, "MINIMIZE_BUTTON", 0 },
	{ ID_OBJECT_LIST, &OBJECT_LIST::New, "OBJECT_LIST", 0 },
	{ ID_POP_UP_ITEM, &UIW_POP_UP_ITEM::New, "POP_UP_ITEM", 0 },
	{ ID_POP_UP_MENU, &UIW_POP_UP_MENU::New, "POP_UP_MENU", 0 },
	{ ID_PROMPT, &UIW_PROMPT::New, "PROMPT", 0 },
	{ ID_PULL_DOWN_ITEM, &UIW_PULL_DOWN_ITEM::New, "PULL_DOWN_ITEM", 0 },
	{ ID_PULL_DOWN_MENU, &UIW_PULL_DOWN_MENU::New, "PULL_DOWN_MENU", 0 },
	{ ID_REAL, &UIW_REAL::New, "REAL", 0 },
	{ ID_SCROLL_BAR, &UIW_SCROLL_BAR::New, "SCROLL_BAR", 0 },
	{ ID_STORAGE_COMBO_BOX, &STORAGE_COMBO_BOX::New, "STORAGE_COMBO_BOX", 0 },
	{ ID_STRING, &UIW_STRING::New, "STRING", 0 },
	{ ID_SYSTEM_BUTTON, &UIW_SYSTEM_BUTTON::New, "SYSTEM_BUTTON", 0 },
	{ ID_TEXT, &UIW_TEXT::New, "TEXT", 0 },
	{ ID_TIME, &UIW_TIME::New, "TIME", 0 },
	{ ID_TITLE, &UIW_TITLE::New, "TITLE", 0 },
	{ ID_TOOL_BAR, &UIW_TOOL_BAR::New, "TOOL_BAR", WOF_NO_FLAGS },
	{ ID_VT_LIST, &UIW_VT_LIST::New, "VT_LIST", 0 },
	{ ID_WINDOW, &UIW_WINDOW::New, "WINDOW", 0 },
	{ ID_END, NULL, NULL, 0 }
};
UI_ITEM *UI_WINDOW_OBJECT::objectTable = _objectTable;
