//	PERSIST5.CPP (PERSIST) - File generator for persistent graphic objects.
//	COPYRIGHT (C) 1990-1992.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA
/* This file is part of OpenZinc

OpenZinc is free software: You can redistribute it and/or modify it
 under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the license or
 (at your option) any later version.

OpenZinc is distributed in the hope that it will be useful,
but without ANY WARRANTY; without even the implied warranty of
MARCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Lessor Public license for more details

You should have received a copy of the GNU Lessor Public License
along with OpenZinc. If not, see <http://www.gnu.org/licenses/>.
*/


#include <io.h>
#include <sys\types.h>
#include <sys\stat.h>
#include <conio.h>
#include <stdio.h>
#include "draw.h"
#include "persist.hpp"

main()
{
	// Initialize the graphics objects.
	GRAPHIC_OBJECT *object[3];
	object[0] = new CIRCLE(100, 150, 50);
	object[1] = new RECTANGLE(200, 100, 300, 200);
	object[2] = new TRIANGLE(400, 100, 350, 200, 450, 200);

	// Store the objects.
	FILE *file = fopen("persist.dat", "wb");
	printf("Generating GRAPHICS.DAT ");
	for (int i = 0; i < 3; i++)
	{
		printf("*");
		object[i]->Store(file);
		delete object[i];
	}
	printf(" Done!\n");
	fclose(file);
 
	return (0);
}
